define({"0":{y:0,u:"../Content/Introduction/Introduction.htm",l:-1,t:"Introduction",i:0.0134491497669713,a:"Introduction This guide is for developers who want to incorporate OpenText File Content Extraction Panopticon into their applications using a  C/C++  development environment. It is intended for readers who are familiar with  C/C++ . "},"1":{y:0,u:"../Content/Introduction/Overview.htm",l:-1,t:"Overview",i:0.0134491497669713,a:"Panopticon enables you to decrypt files that have been protected by Microsoft Azure Rights Management System (RMS), which is part of Azure Information Protection, allowing your workflow to operate on the original, unencrypted file. You can use Panopticon with existing workflows to allow complete ..."},"2":{y:0,u:"../Content/Introduction/KnownLimitations.htm",l:-1,t:"Known Limitations",i:0.0134491497669713,a:"Panopticon decrypts most RMS encrypted documents, with the following known limitations: Text is decrypted from RMS protected PDFs, but not text formatting, images or subfiles. Email clients such as Microsoft Outlook can protect email messages as rights-managed email messages. In these cases, it ..."},"3":{y:0,u:"../Content/Introduction/Platforms.htm",l:-1,t:"Requirements",i:0.0134491497669713,a:"This section describes the supported platforms, compilers, and dependencies for Panopticon. Supported Platforms Panopticon is supported on the following platforms: Microsoft Windows x86 64 Windows Server 2022 Windows Server 2019 Windows Server 2016 Windows Server 2012 Windows 11 Windows 10 Linux x86 ..."},"4":{y:0,u:"../Content/Introduction/Install_Windows.htm",l:-1,t:"Windows Installation",i:0.0134491497669713,a:"To install the Panopticon SDK on Windows, use the following procedure. To install the Panopticon SDK Run the installation program, Panopticon_VersionNumber_Platform.exe, where  VersionNumber is the product version number, and  Platformis the operating system platform. For example: ..."},"5":{y:0,u:"../Content/Introduction/Install_Linux.htm",l:-1,t:"UNIX Installation",i:0.0134491497669713,a:"To install the Panopticon SDK, use one of the following procedures. To install the Panopticon SDK from the graphical interface Run the installation program and follow the on-screen instructions. To install the Panopticon SDK from the console Run the installation program from the console as follows: ..."},"6":{y:0,u:"../Content/Introduction/PackageDetails.htm",l:-1,t:"Package Contents",i:0.0134491497669713,a:"The Panopticon installation contains:  Libraries and executable files necessary for detecting the encryption type and decrypting files. The include files that define the functions and structures used by applications to establish an interface with Panopticon. A C sample program that demonstrates ..."},"7":{y:0,u:"../Content/UsePanopticon/UsePanopticon.htm",l:-1,t:"Use Panopticon",i:0.0134491497669713,a:"Use Panopticon This section describes how to perform some basic tasks using Panopticon."},"8":{y:0,u:"../Content/UsePanopticon/Decrypt_C.htm",l:-1,t:"Decrypt Microsoft Azure RMS Protected Files",i:0.0134491497669713,a:"This section describes the steps required to use Panopticon to decrypt files protected with Microsoft Azure Rights Management System (RMS). To use Panopticon Dynamically load the panopticon shared library. Obtain a handle to  KVPanopticonGetInterface() . Obtain function pointers for the library ..."},"9":{y:0,u:"../Content/UsePanopticon/ConfigureProxy.htm",l:-1,t:"Configure the Proxy for RMS",i:0.0243889317675431,a:"When Panopticon needs to access contents that are protected by RMS, it must make HTTP requests. By default, Panopticon uses the system proxy settings for these requests.  To use different proxy settings, you can configure them  in the [RMS] section of the cryptographyservices.cfg configuration file. ..."},"10":{y:0,u:"../Content/UsePanopticon/SampleProgram.htm",l:-1,t:"Panopticon Sample Program",i:0.165801793905855,a:"Panopticon includes a sample program, written in C++, which demonstrates how to use Panopticon to decrypt RMS protected files. The sample program is called panopticon_test. It is intended to provide a starting point or reference for your own applications. The source code and makefiles are provided ..."},"11":{y:0,u:"../Content/C API Reference/Functions/C API Functions.htm",l:-1,t:"Panopticon API Functions",i:0.0189088875921446,a:"Panopticon API Functions This section describes the functions available in the Panopticon C API."},"12":{y:0,u:"../Content/C API Reference/Functions/configureRMS.htm",l:-1,t:"configureRMS()",i:0.0424578297332317,a:"This function provides a way to set the credentials required to access RMS protected files. After you set these credentials, the  decryptFile()  function is able to produce an unencrypted version of the RMS file. When Panopticon functions access the protected contents of RMS protected files, File ..."},"13":{y:0,u:"../Content/C API Reference/Functions/decryptFile.htm",l:-1,t:"decryptFile()",i:0.0514802935054044,a:"This function removes the encryption on a protected file, giving access to the original, unencrypted file. Syntax KVPanopticonError decryptFile(\n   KVPanopticonContext* const context,\n   const char* const inputFilePath,\n   const char* const outputFilePath\n); Arguments Returns If the function was ..."},"14":{y:0,u:"../Content/C API Reference/Functions/encryptionInfo.htm",l:-1,t:"encryptionInfo()",i:0.0340056940008465,a:"This function detects the type of encryption applied to a document, and information about the level to which Panopticon supports decryption. This information can be used to determine whether this file should be passed to decryptFile(). Syntax KVPanopticonError encryptionInfo(\n   KVPanopticonContext* ..."},"15":{y:0,u:"../Content/C API Reference/Functions/init.htm",l:-1,t:"init()",i:0.0790781684051693,a:"This function initializes a Panopticon session. If initialization is successful, the pointer that context points to is set to a valid context identifier. You must pass this context identifier as the first parameter to all other Panopticon functions. Syntax KVPanopticonError init(\n    const char* ..."},"16":{y:0,u:"../Content/C API Reference/Functions/KVPanopticonGetInterface.htm",l:-1,t:"KVPanopticonGetInterface()",i:0.0205420149675671,a:"This function is exported by the panopticon  shared library. It supplies function pointers to the other Panopticon functions. When you call KVPanopticonGetInterface(), it assigns the function pointers to the structure pointed to by panopticonInterface. Syntax KVPanopticonError ..."},"17":{y:0,u:"../Content/C API Reference/Functions/resetEncryptionInfo.htm",l:-1,t:"resetEncryptionInfo()",i:0.019899826801934,a:"This function frees the memory allocated by  encryptionInfo() . You can reuse a  KVPanopticonEncryptionInfo  structure after you have passed it to resetEncryptionInfo(). Syntax KVPanopticonError resetEncryptionInfo(\n   KVPanopticonContext* const context,\n   KVPanopticonEncryptionInfo* const ..."},"18":{y:0,u:"../Content/C API Reference/Functions/shutdown.htm",l:-1,t:"shutdown()",i:0.019899826801934,a:"This function terminates a Panopticon session that was initialized by  init() , and frees allocated system resources. You must call this function when the Panopticon context is no longer required. Syntax KVPanopticonError shutdown(KVPanopticonContext** const context); Arguments Returns If the ..."},"19":{y:0,u:"../Content/C API Reference/Structures/C Structures.htm",l:-1,t:"Panopticon Structures",i:0.0134491497669713,a:"Panopticon Structures This section describes the data structures used by the Panopticon C API."},"20":{y:0,u:"../Content/C API Reference/Structures/KVPanopticonEncryptionInfo.htm",l:-1,t:"KVPanopticonEncryptionInfo",i:0.0216497117806981,a:"This structure is filled out by  encryptionInfo() , and provides information about what type of encryption the document has, the level of support Panopticon provides for that document, and (if applicable) a suggested name for the file after decryption. typedef struct ..."},"21":{y:0,u:"../Content/C API Reference/Structures/KVPanopticonInterface.htm",l:-1,t:"KVPanopticonInterface",i:0.0192694514140583,a:"This structure contains pointers to the Panopticon API functions. You can set the pointers by calling the  KVPanopticonGetInterface()  function. typedef struct tag_KVPanopticonInterface\n{\n   KVStructHeader;\n   KV_PANOPTICON_INIT init;\n   KV_PANOPTICON_CONFIGURE_RMS configureRMS;\n   ..."},"22":{y:0,u:"../Content/C API Reference/Structures/KVRMSCredentials.htm",l:-1,t:"KVRMSCredentials",i:0.0134491497669713,a:"This structure defines each element of the RMS credentials. This structure is defined in kvdecryptionsettings.h. typedef struct _KVRMSCredentials\n{ \n    KVStructHeader;\n\n    const char* tenantID;\n    const char* clientID;\n    const char* clientSecret;\n}\nKVRMSCredentials; Member Descriptions For ..."},"23":{y:0,u:"../Content/C API Reference/Structures/KVStructHead.htm",l:-1,t:"KVStructHead",i:0.0853602817476207,a:"This structure contains the current File Content Extraction version number, and is the first member of other structures. It enables OpenText to modify the structures in future releases, but to maintain backward compatibility. Before you initialize a structure that contains the KVStructHead ..."},"24":{y:0,u:"../Content/C API Reference/EnumeratedTypes/EnumeratedTypes.htm",l:-1,t:"Enumerated Types",i:0.0134491497669713,a:"Enumerated Types This section provides information on some of the enumerated types used by the Panopticon C API."},"25":{y:0,u:"../Content/C API Reference/EnumeratedTypes/ProgrammingGuidelines.htm",l:-1,t:"Programming Guidelines",i:0.0134491497669713,a:"In future releases of Panopticon, some enumerated types might be expanded. For example, new encryption types might be added to  KVPanopticonEncryption , or new error codes might be added to  KVPanopticonError . When you use these expandable types, your code must ensure binary compatibility with ..."},"26":{y:0,u:"../Content/C API Reference/EnumeratedTypes/KVPanopticonDecryptionSupport.htm",l:-1,t:"KVPanopticonDecryptionSupport",i:0.0180497722706657,a:"KVPanopticonDecryptionSupport typedef enum tag_KVPanopticonDecryptionSupport\n{\n   DecryptionNotSupported,\n   TextOnlyDecryption,\n   FullDecryption\n} KVPanopticonDecryptionSupport; Enumerators"},"27":{y:0,u:"../Content/C API Reference/EnumeratedTypes/KVPanopticonError.htm",l:-1,t:"KVPanopticonError",i:0.128823509321185,a:"This enumerated type defines the type of error generated if Panopticon fails. typedef enum tag_KVPanopticonError\n{\n   KVP_Success = 0,\n   KVP_ERR_GeneralError = 1,\n   KVP_ERR_MemoryError = 2,\n   KVP_ERR_InvalidArguments = 3,\n   KVP_ERR_StructureNotInitialised = 4,\n   KVP_ERR_LicenseInvalid = 5,\n   ..."},"28":{y:0,u:"../Content/C API Reference/EnumeratedTypes/KVPanoptionEncryption.htm",l:-1,t:"KVPanopticonEncryption",i:0.0237657180846443,a:"KVPanopticonEncryption This enumerated type defines the type of encryption used to protect the file. typedef enum tag_KVPanopticonEncryption\n{\n   NoEncryptionDetected,\n   OtherEncryption,\n   RMSEncryption,\n   SecloreEncryption\n} KVPanopticonEncryption; Enumerators"},"29":{y:0,u:"../Content/Shared/3P_Appendix.htm",l:-1,t:"Third-Party Libraries",i:0.0134491497669713,a:"Third-Party Libraries This section contains information about the third-party libraries included with Panopticon."},"30":{y:0,u:"../Content/Shared/3P_Source.htm",l:-1,t:"Third-Party Library Source Code",i:0.0134491497669713,a:"File Content Extraction uses a variety of third-party libraries.  To see a list of the libraries used and their licenses, refer to license-os3p.txt which is included in the SDK. Some third-party libraries use a license which gives users of the software the right to obtain the source code to those ..."},"31":{y:0,u:"../Content/Shared/3P_UpgradePolicy.htm",l:-1,t:"Third-Party Library Upgrade Policy",i:0.0248810413949286,a:"Panopticon uses third-party libraries to provide important functionality. These libraries are regularly upgraded to ensure that File Content Extraction includes any relevant security fixes according to the following policy: All third-party libraries that are required for all uses of Panopticon, or ..."},});